Table of Contents

## Name

XtGetSubresources, XtVaGetSubresources - obtain subresources

## Syntax

void XtGetSubresources(Widget w, XtPointer base, String
  name, String class, XtResourceList resources, Cardinal num_resources, ArgList args, Cardinal num_args);
void XtVaGetSubresources(Widget w, XtPointer base, String
  name, String class, XtResourceList resources, Cardinal num_resources);

## Arguments

Specifies the argument list to override resources obtained from the resource database.

Specifies the base address of the subpart data structure where the resources should be written.

Specifies the class of the subpart.

Specifies the name of the subpart.

Specifies the number of arguments in the argument list.

Specifies the number of resources in the resource list.

Specifies the resource list for the subpart. or that identifies the resource database to search

Specifies the widget that wants resources for a subpart.

Specifies the variable arguments to override resources obtained from the resource database.

## Description

The XtGetSubresources function constructs a name/class list from the application name/class, the name/classes of all its ancestors, and the widget itself. Then, it appends to this list the name/class pair passed in. The resources are fetched from the argument list, the resource database, or the default values in the resource list. Then, they are copied into the subpart record. If args is NULL, num_args must be zero. However, if num_args is zero, the argument list is not referenced.

## See Also

XtGetApplicationResources, XtVaGetApplicationResources
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also